Bug 50204 - iptables
Summary: iptables
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-28 00:37 UTC by Need Real Name
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-28 00:37:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-07-28 00:37:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.1)
Gecko/20010607 Netscape6/6.1b1

Description of problem:
if "-p tcp" is placed at the end of an iptables command line, the
command errors out.  If moved towards the middle of the line, it works

How reproducible:
Always

Steps to Reproduce:
1./sbin/iptables -A FORWARD  -o eth1 -s $eth0_net --source-port $unassgn 
--destination-port $unassgn -j ACCEPT -p tcp

2.
3.
	

Actual Results:  Syntax error

Expected Results:  no errors

Additional info:

1.2.2-1 upgrade showed same behaviour

Comment 1 Bernhard Rosenkraenzer 2001-07-30 12:51:01 UTC
-p tcp works as the last parameter in 1.2.2-3.



Note You need to log in before you can comment on or make changes to this bug.